Bug 478659 - Review Request: xfce4-screenshooter - Screenshot utility for the Xfce desktop
Review Request: xfce4-screenshooter - Screenshot utility for the Xfce desktop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 18:27 EST by Christoph Wickert
Modified: 2014-09-20 23:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-04 18:51:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-01-02 18:27:14 EST
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-screenshooter.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-screenshooter-1.4.90.0-1.fc11.src.rpm
Description:
The Xfce Screenshooter utility allows you to capture the entire screen, the 
active window or a selected region. You can set the delay that elapses before 
the screenshot is taken and the action that will be done with the screenshot: 
save it to a PNG file, copy it to the clipboard, or open it using another 
application.


Note:
Successor of the xfce4-screenshooter-plugin (bug # 179202). Basically this is a re-review because the package has been renamed and split into standalone app and panel plugin.
Comment 1 Kevin Fenzi 2009-01-02 18:46:53 EST
I'll review this. Look for a full review later tonight or this weekend.
Comment 2 Kevin Fenzi 2009-01-03 01:04:17 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
1bcd5d2e7428c7ced039be87dfa30d74  xfce4-screenshooter-1.4.90.0.tar.gz
1bcd5d2e7428c7ced039be87dfa30d74  xfce4-screenshooter-1.4.90.0.tar.gz.orig
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
See below - No rpmlint output. 
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should package latest version

Issues: 

1. rpmlint says: 
xfce4-screenshooter-plugin.x86_64: W: no-documentation

which can be ignored. 

2. I see you have
--add-only-show-in=XFCE
in the desktop file. Is that really intended?
Doesn't that lessen the need for splitting out the plugin, if 
it's only going to be used in Xfce anyhow? On the other hand, other 
DE's have their own screenshot applications, so perhaps thats adding too much 
clutter. In any case, up to you. 

Neither of these are blockers, so this package is 
APPROVED.
Comment 3 Christoph Wickert 2009-01-03 01:36:02 EST
Regarding the OnlyShowIn: Both Gnome and KDE already have Screenshot Utilities, so I'm maybe better of using NotShowIn=GNOME;KDE;

New Package CVS Request
=======================
Package Name: xfce4-screenshooter
Short Description: Screenshot utility for the Xfce desktop
Owners: cwickert
Branches: F-10
InitialCC:

(I don't think that renaming package in F-9 makes sense.)
Comment 4 Kevin Fenzi 2009-01-04 15:29:56 EST
cvs done.
Comment 5 Fedora Update System 2009-01-04 18:40:39 EST
xfce4-screenshooter-1.4.90.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfce4-screenshooter-1.4.90.0-1.fc10
Comment 6 Fedora Update System 2009-01-14 22:01:45 EST
xfce4-screenshooter-1.4.90.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Jason Landstrom 2009-08-13 13:51:13 EDT
I'm a newbie running Fedora 11 trying to run xfce4-screenshooter.  Everything works great except when I select a region with copy to clipboard I am unable to paste it into OpenOffice Impress like I can with gnome screenshot.
Comment 8 Kevin Fenzi 2009-08-13 14:15:27 EDT
This closed review is not the place for bugs. ;) 

Please file a new bug on the xfce4-screenshooter package?
Comment 9 Christoph Wickert 2009-08-13 15:16:17 EDT
Filed as bug 517408.
Comment 10 Christoph Wickert 2010-07-30 20:48:39 EDT
Package Change Request
======================
Package Name: xfce4-screenshooter
New Branches: EL-5 EL-6
Owners: cwickert
InitialCC: kevin
Comment 11 Kevin Fenzi 2010-07-30 20:53:51 EDT
GIT done (by process-git-requests).
Comment 12 Mukundan Ragavan 2014-09-20 23:10:54 EDT
Package Change Request
======================
Package Name: xfce4-terminal
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 13 Mukundan Ragavan 2014-09-20 23:11:27 EDT
Package Change Request
======================
Package Name: xfce4-screenshooter
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 14 Gwyn Ciesla 2014-09-20 23:30:43 EDT
Branch exists.

Note You need to log in before you can comment on or make changes to this bug.